Nagios Bug and Feature Tracker

All issues moved to NagiosEnterprises Github

Bug and Feature Tracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000458 [Nagios Core] Other / Unknown minor always 2013-05-29 08:15 2016-09-07 13:48
Reporter mikcik View Status public  
Assigned To jfrickson
Priority normal Resolution fixed  
Status resolved   Product Version 3.4.3
Summary 0000458: Availability report mixes up scheduled and unscheduled warning percentages
Description When creating an availability report the warning duration is catogorized correctly for scheduled and unscheduled periodes, but the calculated percentages are turned around. See the screenshot in this post: http://support.nagios.com/forum/viewtopic.php?f=7&t=10563 [^]
Additional Information I attached a patch for the avail.cgi version 3.1.0 but the bug is also present in the newest avail.cgi.
Tags No tags attached.
Nagios Version 3.1.0
OS Linux
OS Version Any
Attached Files ? file icon avail-3.1.0.c.patch [^] (947 bytes) 2013-05-29 08:15
? file icon avail-3.1.0.c.patch1 [^] (2,158 bytes) 2014-08-24 08:58

- Relationships

-  Notes
(0001299)
mikcik (reporter)
2014-08-24 09:03

added a patch (avail-3.1.0.c.patch1) to also correct the csv export
(0001643)
jfrickson (manager)
2016-09-07 13:48

Patches verified and applied. Fix is in 'maint' branch, via commit https://github.com/NagiosEnterprises/nagioscore/commit/5d120c5cf6b287b35e69be8b5752b46d15a0f897. [^]

- Issue History
Date Modified Username Field Change
2013-05-29 08:15 mikcik New Issue
2013-05-29 08:15 mikcik File Added: avail-3.1.0.c.patch
2013-05-29 08:15 mikcik Nagios Version => 3.1.0
2013-05-29 08:15 mikcik OS => Linux
2013-05-29 08:15 mikcik OS Version => Any
2014-08-24 08:58 mikcik File Added: avail-3.1.0.c.patch1
2014-08-24 09:03 mikcik Note Added: 0001299
2015-09-25 12:15 jfrickson Status new => assigned
2015-09-25 12:15 jfrickson Assigned To => nagios_staff
2016-09-07 13:46 jfrickson Assigned To nagios_staff => jfrickson
2016-09-07 13:48 jfrickson Note Added: 0001643
2016-09-07 13:48 jfrickson Status assigned => resolved
2016-09-07 13:48 jfrickson Fixed in Version => 4.2.2
2016-09-07 13:48 jfrickson Resolution open => fixed


Mantis 1.1.7[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker